import java.util.Objects;

/**
 * Sorting
 */
public class Sorting {

    public static void main(String[] args) {
        
    }

    /**
     * Prend en entrée un tableau de double et renvoie le même tableau avec ses données triées.
     * @param table Le tableau de doubles
     * @throws NullPointerException Le tableau donné est nul
     * @return Le même tableau trié
     */
    public static double[] sort(double[] table) {
        Objects.requireNonNull(table);
        if (table.length < 2) return table;

        double[] sortedArray = new double[table.length];
        for (int i = 1; i < table.length-1; i++) {
            double x = table[i];
            int j = i;
            while (j > 0 && table[j-1] > x) {
                sortedArray[j] = table[j - 1];
                j--;
            }

            sortedArray[j] = x;
        }
        return sortedArray;
    }
}